curl -X POST https://api-verifier-2.onrender.com/mt5/update/account \
-H "Content-Type: application/json" \
-d '{
"accountNumber": "12345678",
"balance": 10000.00,
"equity": 10500.00,
"margin": 500.00,
"freeMargin": 10000.00,
"leverage": 100
}'
{
"status": "ok",
"message": "Account updated"
}
{
"status": "error"
}
MT5 data
Update account
Update MT5 account information
POST
/
mt5
/
update
/
account
curl -X POST https://api-verifier-2.onrender.com/mt5/update/account \
-H "Content-Type: application/json" \
-d '{
"accountNumber": "12345678",
"balance": 10000.00,
"equity": 10500.00,
"margin": 500.00,
"freeMargin": 10000.00,
"leverage": 100
}'
{
"status": "ok",
"message": "Account updated"
}
{
"status": "error"
}
Request body
string
required
MT5 account number
number
Account balance
number
Account equity
number
Used margin
number
Available free margin
number
Account leverage
Response
string
Operation status (“ok” or “error”)
string
Status message
curl -X POST https://api-verifier-2.onrender.com/mt5/update/account \
-H "Content-Type: application/json" \
-d '{
"accountNumber": "12345678",
"balance": 10000.00,
"equity": 10500.00,
"margin": 500.00,
"freeMargin": 10000.00,
"leverage": 100
}'
{
"status": "ok",
"message": "Account updated"
}
{
"status": "error"
}